function [matg] =	Vykresleni_GPS_m	(GPS)
%Vykresluje GPS body a osy prevede na metry

b = size(GPS,1);
c=1;
        % jeden stupeň je 111132.95 m a 50550.8 m 
        matg(c,1)=GPS(c,10)*111132.95;      %sirka
        matg(c,2)=GPS(c,11)*50550.8;        %delka
        
c=c+1;
     while c < b+1
        matg(c,1)=GPS(c,10)*111132.95;
        matg(c,2)=GPS(c,11)*50550.8;
        
        matg1(c-1,1)=matg(c,1)- matg(c-1,1);
        matg1(c-1,2)=matg(c,2)- matg(c-1,2);     
        matg2(c-1,:)=sum(matg1,1);          %scitani vektoru za sebe
        c=c+1;
     end
     
    
figure(1);    
subplot(1,2,1);
plot(GPS(:,11),GPS(:,10),'b','LineWidth',2);
xlabel('Zeměpisná délka [°]')
ylabel('Zeměpisná šířka [°]')
title('GPS [°]') % nazev grafu

% subplot(2,3,2);
% plot(matg(:,2),matg(:,1));
% xlabel('Zeměpisná délka [m]')
% ylabel('Zeměpisná šířka [m]')
% title('GPS [m]') % nazev grafu


subplot(1,2,2);
plot(matg2(:,2),matg2(:,1),'b','LineWidth',2);
xlabel('Délka [m]')
ylabel('Šířka [m]')
title('Trasa od bodu pocatku [0,0] [m]') % nazev grafu

 
figure(8);

plot(matg(:,2),matg(:,1));
xlabel('Zeměpisná délka [m]')
ylabel('Zeměpisná šířka [m]')
title('GPS [m]') % nazev grafu
hold on;

figure(9);

plot(matg2(:,2),matg2(:,1),'b','LineWidth',2);
xlabel('Délka [m]')
ylabel('Šířka [m]')
title('Trasa od bodu pocatku [0,0] [m]') % nazev grafu
hold on;
end